darcs-2.12.5: a distributed, interactive, smart revision control system

Copyright | 2005 Tomasz Zielonka
License | GPL
Maintainer | darcs-devel@darcs.net
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Darcs.Util.AtExit

Description

This was originally Tomasz Zielonka's AtExit module, slightly generalised to include global variables. Here, we attempt to cover broad, global features, such as exit handlers. These features slightly break the Haskellian purity of darcs, in favour of programming convenience.

Synopsis

- atexit :: IO () -> IO ()
- withAtexit :: IO a -> IO a

# Documentation

atexit :: IO () -> IO () #

Registers an IO action to run just before darcs exits. Useful for removing temporary files and directories, for example. Referenced in Issue1914.

withAtexit :: IO a -> IO a #